%define version 3.3
%define name perl-Data-ShowTable
%define prefix %{_prefix}

Name: %{name}
Version: %{version}
Summary: Perl 5 module to print arrays of data
Release: 2mdk
Copyright: GPL
Group: Development/Perl
Source0: ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/Data/Data-ShowTable-%{version}.tar.bz2
Patch0: Data-ShowTable-3.3.patch.bz2
Buildroot: %{_tmppath}/%{name}-root

%description
ShowTable.pm, version 3.3, is a Perl 5 module which defines subroutines to
print arrays of data in a nicely formatted listing, using one of four possible
formats: simple table, boxed table, list style, and HTML-formatting (for
World-Wide-Web output). See the documentation on ShowTable.pm for details on
the formatting.

%prep
%setup -n Data-ShowTable-%{version}
%patch0 -p1

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT

make install PREFIX=$RPM_BUILD_ROOT/usr INSTALLMAN1DIR=$RPM_BUILD_ROOT/usr/man/man1

if [ -d $RPM_BUILD_ROOT/usr/man ]; then
  find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/info ]; then
  find $RPM_BUILD_ROOT/usr/info -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/X11R6/man ]; then
  find $RPM_BUILD_ROOT/usr/X11R6/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/lib/perl5/man ]; then
  find $RPM_BUILD_ROOT/usr/lib/perl5/man -type f -exec bzip2 -9f {} \;
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/showtable
/usr/lib/perl5/man/man3/Data::ShowTable.3.bz2
/usr/lib/perl5/site_perl/5.6.0/Data/ShowTable.pm
%dir /usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/auto/Data/ShowTable
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/auto/Data/ShowTable/.packlist
/usr/man/man1/showtable.1.bz2


%changelog
* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.3-2mdk
- fixed group
- rebuild with new perl
- fixed location
- patched the source in order to build, the tests in order to test
- fixed install process for correct man1 install

* Sun Dec 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- First spec file

